import {
    trigger,
    transition,
    style,
    query,
    animate,
    group
} from '@angular/animations';

export const fadeInAnimation = trigger('fadeInAnimation', [
    transition(':enter, :leave', [
        query(':enter, :leave', [
            style({ opacity: 0 })
        ], { optional: true }),
        query(':enter', [
            animate('600ms ease-in', style({ opacity: 1 }))
        ], { optional: true }),
        query(':leave', [
            animate('600ms ease-out', style({ opacity: 0 }))
        ], { optional: true })
    ])
]);